
Redmine - Defect #1438

File upload Error -> redmine on mod_rails

2008-06-12 20:21 - doug schlenker

Status: Closed Start date: 2008-06-12

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Switched redmine over to use mod_rails, had same /tmp/ permission issue as other submitter.

Discovered that uploading files causes a file permission error. Had to chmod the /files/ directory to make it happy. Should update

documentation for mod_rails users.

History

#1 - 2008-06-12 22:10 - Lane Roathe

Could you share the chmod you needed to do? I'm looking into switching over to mod_rails as well, as we continue to have difficulty with configuring

mongrel correctly. (We are much more familiar with Apache).

thanks!

#2 - 2008-06-13 19:09 - doug schlenker

Unfortunately I had to do chmod 0777 files/ to get it to work. Our redmine is in a private location however I'm not happy having it set to that.

#3 - 2008-06-15 12:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

"Setting up permissions" added in RedmineInstall.
